> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adskull.io/llms.txt
> Use this file to discover all available pages before exploring further.

# OpenAI-compatible chat completion

> Use this with any OpenAI SDK, Cline, Roo Code, Continue, Aider, Cursor, LiteLLM, LangChain, n8n, OpenWebUI, etc.



## OpenAPI

````yaml /api/openapi.yaml post /openai/v1/chat/completions
openapi: 3.1.0
info:
  title: AdSkull Public API
  version: 1.0.0
  summary: Public API for AdSkull creative generation.
  description: >
    Create AI ad assets, images, videos, voiceovers, custom voices, and talking
    avatars.

    Responses expose AdSkull product resources.
servers:
  - url: https://api.adskull.io
security:
  - bearerAuth: []
tags:
  - name: Account
  - name: Models
  - name: Assets
  - name: Images
  - name: Videos
  - name: Voices
  - name: Talking Avatars
  - name: Webhooks
  - name: LLM
  - name: LLM OpenAI Compat
  - name: LLM Anthropic Compat
paths:
  /openai/v1/chat/completions:
    post:
      tags:
        - LLM OpenAI Compat
      summary: OpenAI-compatible chat completion
      description: >-
        Use this with any OpenAI SDK, Cline, Roo Code, Continue, Aider, Cursor,
        LiteLLM, LangChain, n8n, OpenWebUI, etc.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
      responses:
        '200':
          description: Chat completion or SSE stream (`chat.completion.chunk`).
          content:
            application/json:
              schema:
                type: object
            text/event-stream:
              schema:
                type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````